Subject: bug#17678: 24.4.50; Feature Request -- calculate new `window-start` & `window-end` before visual redisplay

From: Stefan Monnier <[email-masked]>
Date: Thu, 12 Jun 2014 22:11:39 -0400

>> > The display engine changes window-start for several reasons, only one
>> > of them being that point moved off screen.
>> Is there a comment somewhere that documents the cases where it can happen?
> Not that I know of.
> In general, there are functions that set the window-start forcibly.

I know of code that does that from outside of redisplay, but within
redisplay I only know of the "move point back into view".

>> In the case of follow-mode, I think the best way to handle that is to
>> make it possible for follow-mode to force redisplay to go through the
>> windows in a particular order.
> That'd require some infrastructure that doesn't exist.

Yes, that's indeed the topic of this thread.

        Stefan